var modifyBabelPreset = require('modify-babel-preset');

var stage0 = modifyBabelPreset('stage-0', {
  'transform-async-to-generator': false
});

var es2015 = modifyBabelPreset('es2015', {
  'transform-regenerator': false
});

module.exports = {
  presets: [
    es2015,
    stage0
  ],
  plugins: [
    require('babel-plugin-transform-decorators-legacy').default,
    require('./transform-async-to-generator/index')
  ]
}
